org.eclipse.jetty.websocket

## Enum WebSocketParserD06.State

- java.lang.Object
- - java.lang.Enum<WebSocketParserD06.State>
  - - org.eclipse.jetty.websocket.WebSocketParserD06.State

All Implemented Interfaces:
  Serializable, Comparable<WebSocketParserD06.State>

Enclosing class:
  WebSocketParserD06

    public static enum WebSocketParserD06.State
    extends Enum<WebSocketParserD06.State>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`DATA`
`LENGTH_16`
`LENGTH_63`
`LENGTH_7`
`MASK`
`OPCODE`
`SKIP`
`START`

### Method Summary

Methods
`static WebSocketParserD06.State` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static WebSocketParserD06.State[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### START

    public static final WebSocketParserD06.State START

#### MASK

    public static final WebSocketParserD06.State MASK

#### OPCODE

    public static final WebSocketParserD06.State OPCODE

#### LENGTH_7

    public static final WebSocketParserD06.State LENGTH_7

#### LENGTH_16

    public static final WebSocketParserD06.State LENGTH_16

#### LENGTH_63

    public static final WebSocketParserD06.State LENGTH_63

#### DATA

    public static final WebSocketParserD06.State DATA

#### SKIP

    public static final WebSocketParserD06.State SKIP

### Method Detail

#### values

    public static WebSocketParserD06.State[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (WebSocketParserD06.State c : WebSocketParserD06.State.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static WebSocketParserD06.State valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null